#ifndef LIBR2C2_SNAP_H_
#define LIBR2C2_SNAP_H_

#include "geometry.h"

namespace R2C2 {

enum SnapType
{
	SNAP_DEFAULT = 0,
	NO_SNAP = 0,
	SNAP_NODE = 1,
	SNAP_SEGMENT = 2
};

struct Snap
{
	Vector position;
	Angle rotation;
};

inline SnapType operator|(SnapType s1, SnapType s2)
{ return static_cast<SnapType>(static_cast<int>(s1)|static_cast<int>(s2)); }

} // namespace R2C2

#endif
